function [inew] = lr_step(i, L, R, dt, Vext)
%	[i] = lr_step(i, L, R, dt, Vext)
%
% i = current
% L = inductance
% R = resistance
% dt = timestep
% Vext = external voltage (eg due flux change)

Vr=i*R;
inew=i+dt*(Vext-Vr)/L;