
Vt=vel(steps);
Ek=0.5*mass*Vt*Vt;
Ee=0.5*C*V0*V0;
n=100*Ek/Ee;

figure;
plot(t*1e3,Ic,'green');
hold on;
plot(t*1e3,Ia,'red');
plot(t*1e3,F,'blue');
xlabel('Time (ms)');
ylabel('Current (A) green=Ic red=Ia; Force (N)=blue');

tt=strcat(num2str(C*1e3), 'mF, ', num2str(R), 'R, ', num2str(Lc(1)*1e6), 'uH, ');
tt=strcat(tt, num2str(mass*1e3), 'g, ', num2str(Vt), 'm/s, ', num2str(Ek), 'J, ');
tt=strcat(tt, num2str(n), '% eff.');
title(tt);

figure;
plot(t*1e3,vel,'blue');
xlabel('Time (ms)');
ylabel('Velocity (m/s)');
title(tt);