function [newstatus]=rlc_step(rlcstatus, L, dt)
%	[newstatus]=rlc_step(rlcstatus, L, dt)

r=rlcstatus(1);		% extract shit
c=rlcstatus(2);
V=rlcstatus(3);
I=rlcstatus(4);
t=rlcstatus(5);

Vl = V - r * I;		% inductor voltage = Vc - Vr

newstatus(1)=r;
newstatus(2)=c;
newstatus(3)=V - I * dt / c;
newstatus(4)=I + Vl * dt / L;
newstatus(5)=t + dt;
