
open_femm_file("internal.fem")
save_femm_file("temp.fem")

seteditmode("group")
for n=0,100 do

	print(n,"%")

	-- coil current varies
	modifymaterial("Copper_coil", 4, n*10)

	-- set armature current
	modifymaterial("Copper", 4, -10)
	analyse(1)

	-- measure force, etc
	runpost("thompson-post-F_cf_Ic.lua", "-windowhide")

	-- no armature current
	modifymaterial("Copper", 4, 0)
	analyse(1)

	-- measure B coupling
	runpost("thompson-post-B_cf_Ic.lua", "-windowhide")

end
