
open_femm_file("disc.fem")
save_femm_file("temp.fem")

steps=130

seteditmode("group")
for n=0,steps do

	print(100*n/steps,"%")

	-- set armature current
	modifymaterial("Copper", 4, -10)
	analyse(1)

	-- measure force, etc
	runpost("thompson-post-F_cf_pos.lua", "-windowhide")

	-- set armature current
	modifymaterial("Copper", 4, 0)
	analyse(1)

	-- measure force, etc
	runpost("thompson-post-B_cf_pos.lua", "-windowhide")

	clearselected()
	selectgroup(2)
	selectgroup(4)
	move_translate(0,1)	
end
