function result = maginterp(series, position)
%	result = maginterp(series, position)
%
% interpolate from an array of values (from simulation), 
% using last value for things off the end

position=position*1e3;		% m to mm
len=length(series);			% size of data set

ipart=floor(position);
fpart=position-ipart;
ipart=ipart+1;

if ipart >= (len-3)
   result=series(len);
else
   result=series(ipart)*(1-fpart)+series(ipart+1)*fpart;
end
