
open_femm_file("shielded.fem")
save_femm_file("temp.fem")

-- no coil current
modifymaterial("Copper_coil", 4, 0)

-- set armature current to 10A/mm^2
modifymaterial("Copper", 4, 10)

steps=100

seteditmode("group")
for n=0,steps do

	print(100*n/steps,"%")
	analyse(1)

	-- measure armature inductance
	runpost("thompson-post-L_armature.lua", "-windowhide")

	clearselected()
	selectgroup(2)
	selectgroup(4)
	move_translate(0,1)	
end
